log4shib::PatternLayout(3)

NAME
log4shib::PatternLayout - PatternLayout is a simple fixed format Layout implementation.

SYNOPSIS

#include <PatternLayout.hh>

Inherits log4shib::Layout.

  Classes
class PatternComponent

  Public Member Functions
PatternLayout ()
virtual ~PatternLayout ()
virtual std::string format (const LoggingEvent &event)
Formats the LoggingEvent in the style set by the setConversionPattern call.
virtual void setConversionPattern (const std::string &conversionPattern) throw (ConfigureFailure)
Sets the format of log lines handled by this PatternLayout.
virtual std::string getConversionPattern () const
virtual void clearConversionPattern ()

  Static Public Attributes
static const char * DEFAULT_CONVERSION_PATTERN = '%m%n'
The default conversion pattern.
static const char * SIMPLE_CONVERSION_PATTERN = '%p - %m%n'
A conversion pattern equivalent to the SimpleLayout.
static const char * BASIC_CONVERSION_PATTERN = '%R %p %c %x: %m%n'
A conversion pattern equivalent to the BasicLayout.
static const char * TTCC_CONVERSION_PATTERN = '%r [%t] %p %c %x - %m%n'
A conversion pattern equivalent to the TTCCLayout.

Detailed Description

PatternLayout is a simple fixed format Layout implementation.

Constructor & Destructor Documentation

  log4shib::PatternLayout::PatternLayout ()

  log4shib::PatternLayout::~PatternLayout () [virtual]

Member Function Documentation

  void log4shib::PatternLayout::clearConversionPattern () [virtual]

  std::string log4shib::PatternLayout::format (const LoggingEvent & event) [virtual]

Formats the LoggingEvent in the style set by the setConversionPattern call. By default, set to '%m%n'

Implements log4shib::Layout.

  std::string log4shib::PatternLayout::getConversionPattern () const [virtual]

  void log4shib::PatternLayout::setConversionPattern (const std::string & conversionPattern)ConfigureFailure [virtual]

Sets the format of log lines handled by this PatternLayout. By default, set to '%m%n'. Format characters are as follows:

•   %% - a single percent sign

•   %c - the category

•   %d - the date
     Date format: The date format character may be followed by a date format specifier enclosed between braces. For example, %d{%H:%M:%S,%l} or %d{%d %m %Y %H:%M:%S,%l}. If no date format specifier is given then the following format is used: 'Wed Jan 02 02:03:55 1980'. The date format specifier admits the same syntax as the ANSI C function strftime, with 1 addition. The addition is the specifier %l for milliseconds, padded with zeros to make 3 digits.

•   %m - the message

•   %n - the platform specific line separator

•   %p - the priority

•   %r - milliseconds since this layout was created

•   %R - seconds since Jan 1, 1970

•   %u - clock ticks since process start

•   %x - the NDC

Parameters
    conversionPattern the conversion pattern

Exceptions
    ConfigureFailure if the pattern is invalid

Member Data Documentation

  const char * log4shib::PatternLayout::BASIC_CONVERSION_PATTERN = '%R %p %c %x: %m%n' [static]

A conversion pattern equivalent to the BasicLayout.

  const char * log4shib::PatternLayout::DEFAULT_CONVERSION_PATTERN = '%m%n' [static]

The default conversion pattern.

  const char * log4shib::PatternLayout::SIMPLE_CONVERSION_PATTERN = '%p - %m%n' [static]

A conversion pattern equivalent to the SimpleLayout.

  const char * log4shib::PatternLayout::TTCC_CONVERSION_PATTERN = '%r [%t] %p %c %x - %m%n' [static]

A conversion pattern equivalent to the TTCCLayout. Note: TTCCLayout is in log4j but not log4shib.

Author

Generated automatically by Doxygen for log4shib from the source code.